> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/1.-abonements-sanemt-notikumus.md).

# 1. Abonements: saņemt notikumus

Sekot abonementiem kad `IEVIETOT`/`MODIFICĒT`/`NOŅEMT` darbības notiek ar "Saime", "Lauks", "LaukaSatelītaAttēls", "RastrAnalīzesKarte", "VektoruAnalīzesKarte", citām vienībām.

Abonementu mehānisms balstās uz MQTT un WebSocket. Mūsu ieteikums ir sākt integrāciju, izlasot [AWS AppSync abonementa rakstu](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Abonementa notikumi tiek nosūtīti tiklīdz notikums ir noticis GeoPard aizmugures sistēmā.
{% endhint %}

{% hint style="info" %}
Katrā abonementa notikumā ir unikāla identifikācija, ko sauc par `uuid`, kas ir noderīga apstrādāto un izlaisto notikumu filtrēšanai, kas pieprasīti no [82. Vaicājums: Atjaunot abonementa notikumus](/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/82.-vaicajums-atjaunot-abonementa-notikumus.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    darbība
    nodePath {
      entītija
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/1.-abonements-sanemt-notikumus.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
